Summary:	Library to load, create, manipulate QuickTime files
Summary(pl.UTF-8):	Biblioteka do czytania, robienia i modyfikowania plików QuickTime
Name:		openquicktime
Version:	1.0
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/openquicktime/%{name}-%{version}-src.tgz
# Source0-md5:	f90bc78b8632c6c254cddf70b4726644
Patch0:		%{name}-types.patch
Patch1:		%{name}-glib.patch
Patch2:		%{name}-gcc.patch
URL:		http://openquicktime.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenQuicktime is a small library that allows you to load, create and
manipulate QuickTime files. Audio and video decoding and encoding is
provided using a plug-in mechanism. Unfortunately, there are very few
codecs available by now.

%description -l pl.UTF-8
OpenQuicktime jest małą biblioteką pozwalającą na czytanie, tworzenie
i modyfikowanie plików QuickTime. Kodowanie i dekodowanie audio i
video jest obsługiwane poprzez mechanizm wtyczek. Niestety na razie
jest dostępnych tylko kilka codeków.

%package devel
Summary:	OpenQuicktime development package
Summary(pl.UTF-8):	Pakiet dla programistów OpenQuicktime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OpenQuicktime library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki OpenQuicktime.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \

mv -f audioplugin/MP3/README README.MP3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_libdir}/libopenquicktime.so
%attr(755,root,root) %{_libdir}/quicktime_codec_.mp3.so
%attr(755,root,root) %{_libdir}/quicktime_codec_jpeg.so
%attr(755,root,root) %{_libdir}/quicktime_codec_ms.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/openquicktime
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openquicktime.git;a=log;h=master

* Tue Jul 16 2013 Jakub Bogusz <qboosh@pld-linux.org> c510b08
- added gcc patch (fixes inline assembly errors)
- added ldconfig
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e8f8af5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2066a7d
- converted to UTF-8

* Sat Sep 25 2004 radek <radek@pld-linux.org> a11c3a5
- cosmetics (spaces -> tabs)

* Sun Aug 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 7d6d5d9
- added types,glib patches, release 3

* Sun Aug 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 7795cac
- kill bogus linking with glib

* Sun Aug 22 2004 Jakub Bogusz <qboosh@pld-linux.org> e7fa4e9
- kill possible types conflict with Linux headers

* Mon Nov 24 2003 averne <averne@pld-linux.org> 722abc1
- release 2

* Mon Nov 10 2003 Jakub Bogusz <qboosh@pld-linux.org> 5916241
- BR: am,lt

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8241b21
- mass commit: cosmetics (removed trailing white spaces)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 3a1ee2c
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cc1b145
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 10 2003 Jakub Bogusz <qboosh@pld-linux.org> d4998c9
- working Source0 URL, cosmetics

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> b7930fa
- new %%doc

* Tue Nov 05 2002 aflinta <aflinta@pld-linux.org> b013f0b
- more macros for proper build on Athlon systems

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 892f853
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> cded49f
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 3fb3c84
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Sat Aug 11 2001 Jakub Bogusz <qboosh@pld-linux.org> 2068255
- new - from OpenQuicktime project

